Revoke a project API key
DELETE
/v1/projects/{project}/api-keys/{key}DELETE
/v1/projects/{project}/api-keys/{key}
const url = 'https://api.wabe.sh/v1/projects/779742ad-cd09-4e1c-9170-f20968b344d4/api-keys/779742ad-cd09-4e1c-9170-f20968b344d4';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://api.wabe.sh/v1/projects/779742ad-cd09-4e1c-9170-f20968b344d4/api-keys/779742ad-cd09-4e1c-9170-f20968b344d4 \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”project
required
string format: uuid
Example
779742ad-cd09-4e1c-9170-f20968b344d4Project ID.
key
required
string format: uuid
Example
779742ad-cd09-4e1c-9170-f20968b344d4API key ID.
Responses
Section titled “Responses”Key revoked.
Missing or invalid dashboard login JWT.
Media typeapplication/json
object
error
required
string
message
required
string
Project or key not found in the current organization.
Media typeapplication/json
object
error
required
string
message
required
string